/* =========================
   CONTAINER BURGER
========================= */
.topbar {
  position: relative;
}
.logo-header {
  z-index: 9999;
}
.burger {
  position: relative;
  z-index: 1000;
}

.nav-responsive {
  margin-left: auto;
  display: flex;
  align-items: center;
  position: relative;
  z-index: 1002;
}

/* =========================
   BOUTON BURGER
========================= */
.burger-toggle {
  padding: 10px;
  width: 40px;
  height: 40px;
  position: relative;
  z-index: 1003;
  background: none;
  border: none;
  cursor: pointer;
  right: 45px;
}

.burger-toggle span,
.burger-toggle span::before,
.burger-toggle span::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background: #E9E3D6;
  transition: 0.3s ease;
}

.burger-toggle span {
  top: 50%;
  transform: translateY(-50%);
}

.burger-toggle span::before {
  top: -8px;
}

.burger-toggle span::after {
  top: 8px;
}

/* CROIX */
.burger.open span {
  background: transparent;
}

.burger.open span::before {
  transform: rotate(45deg);
  top: 0;
}

.burger.open span::after {
  transform: rotate(-45deg);
  top: 0;
}

/* =========================
   MENU FULLSCREEN
========================= */
/*.burger-menu {
  margin: 0;
  padding-left: 0;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: #181915;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 120px;
  transform: translateY(-100%);
  transition: transform 0.4s ease;
  overflow-y: auto;
}*/

.burger-menu {
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  height: 100vh;
  background: #181915;
  transform: translateX(100%);
  transition: transform 0.4s ease;
  z-index: 999;
  padding-left: 0;
  margin: 0;
  padding-top: 160px;
}

.burger.open .burger-menu {
  transform: translateY(0);
}

/* =========================
   ITEMS
========================= */
.burger-menu li {
  list-style: none;
  text-align: center;
  margin: 22px 0;
}

.burger-menu a {
  color: #E9E3D6;
  font-size: 45px;
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  gap: 10px;
  line-height: 50px;
}

.burger-toggle span,
.burger-toggle span::before,
.burger-toggle span::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background: #E9E3D6;
  transition: 0.3s;
  display: flex;
}

.burger-toggle span {
  top: 50%;
  transform: translateY(-50%);
}

.burger-toggle span::before {
  top: -10px;
}

.burger-toggle span::after {
  top: 10px;
}

/* état ouvert */
.burger.open .burger-toggle span {
  background: transparent;
}

.burger.open .burger-toggle span::before {
  transform: rotate(45deg);
  top: 0;
}

.burger.open .burger-toggle span::after {
  transform: rotate(-45deg);
  top: 0;
}

.burger-toggle {
  z-index: 1001;
}
.burger-menu {
  z-index: 1000;
}

/* =========================
   FLÈCHE
========================= */
.menu-item-has-children > a::after {
  content: "▸";
    font-size: 0.8em;
    transition: transform 0.3s ease;
    padding-top: 3px;
}

/* rotation */
.menu-item-has-children.open > a::after {
  transform: rotate(90deg);
}

/* =========================
   SUB MENU
========================= */
.sub-menu {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease;
  padding: 0;
}

/* ouverture vers le bas uniquement */
.menu-item-has-children.open > .sub-menu {
  max-height: fit-content;
  margin-top: 10px;
}

/* sous-items */
.sub-menu li {
  margin: 15px 0;
}
.sub-menu li a {
  color: #ccc;
  font-size: 30px;
  line-height: 35px;
  margin: 8px;
}